package tourplaner.business;

import javax.imageio.ImageIO;
import java.awt.*;
import java.awt.image.BufferedImage;
import java.awt.image.RenderedImage;
import java.io.File;
import java.io.IOException;

public class DirectionMap {

    private double dauer, strecke;
    private String start, end, tourname, file;
    private Image map;

    public DirectionMap (String start, String ende, String tourname) throws IOException {
        this.map = getMap(start, ende);
        this.start = start;
        this.end = ende;
        this.tourname = tourname;
        this.file = ConfigHelper.getIniString(ConfigHelper.getStandartConfig(), "map", "path") + this.tourname + ".jpg";
        FileHelper.saveImage(this.map, "jpg", new File(file));
        FileHelper.openDefault(file);
    }

    private Image getMap(String start, String ende) throws IOException {
        return HttpHelper.httpGetStaticMap(start, ende);
    }




}
